!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine LatentHeatPerMass
!
!   * Developer: KITAMORI Taichi 
!   * Version: $ 
!   * Tag Name: $Name: arare4-20120511 $
!   * Change History: 
!
!== Overview 
!
!ή׻. 
!ñ̶ŷʪǮ׻. 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!CO2 絤ξ, ǮϰȤߤʤΤͤ򤢤.   
!2008/06/09 ã 
!== Future Plans
!
                                                                 !=end
!subroutine LatentHeatPerMass(ss_LatHeatPerMass_nl)    !(out)
subroutine LatentHeatPerMass(xz_LatHeatPerMassNl)    !(out)
                                                                 !=begin
  !==Dependency
  use dc_trace, only: BeginSub, EndSub  
  use gridset,  only: DimXMin, DimXMax, DimZMin, DimZMax
!  use physset,  only: GasR         ! 
!  use cloudset, only: SatPressB    ! Antoine μη B
  use Basicset,  only: GasRDry      ! 
  use ChemData, only: ChemData_SVapPress_AntoineB ! Antoine μη B
                                                                 !=end
  !==ۤηػ
  implicit none
  
  !==Input
!  integer :: i,k  
  !==Output
  real(8), intent(out)  :: xz_LatHeatPerMassNl(DimXMin:DimXMax, DimZMin:DimZMax)                                   ! ñ̼̤Ǯ
!  real(8), intent(out)  :: ss_LatHeatPerMass_nl(DimXMin:DimXMax, DimZMin:DimZMax)                                   ! ñ̼̤Ǯ
  
  !==Work

  call BeginSub("LatentHeatPerMass", &
&           fmt="%c",        &
&           c1="Calculate latent heat per unit mass.")

! do k = DimZMin, DimZMax
!  do i = DimXMin, DimXMax

  xz_LatHeatPerMassNl = ChemData_SVapPress_AntoineB(12) * GasRDry
    ! CO2 Ǯ׻
!  xz_LatHeatPerMassNl = 0.0d0
                                  ! ͤͿ
!  end do
! end do

  call EndSub("LatentHeatPerMass")

end subroutine LatentHeatPerMass
